ON_RTreeNode Struct Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_rtree.h>`

## Public Member Functions

bool | IsInternalNode () const
bool | IsLeaf () const

## Public Attributes

int | m_level
int | m_count
ON_RTreeBranch | m_branch [ON_RTree_MAX_NODE_COUNT]

## Detailed Description

Definition at line 125 of file opennurbs_rtree.h.

## Member Function Documentation

bool ON_RTreeNode::IsInternalNode | ( |  | ) | const

inline

Definition at line 127 of file opennurbs_rtree.h.

bool ON_RTreeNode::IsLeaf | ( |  | ) | const

inline

Definition at line 129 of file opennurbs_rtree.h.

## Member Data Documentation

ON_RTreeBranch ON_RTreeNode::m_branch[ON_RTree_MAX_NODE_COUNT]

Definition at line 139 of file opennurbs_rtree.h.

int ON_RTreeNode::m_count

Definition at line 138 of file opennurbs_rtree.h.

int ON_RTreeNode::m_level

Definition at line 133 of file opennurbs_rtree.h.

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_rtree.h